Auth

Current user

GET
/api/v1/auth/me

The signed-in user, their active merchant, role and effective permissions. Permissions are for rendering only - the backend re-checks every request.

Authorization

HTTPBearer
AuthorizationBearer <token>

JWT access token

In: header

Query Parameters

merchant_id?|

Optional merchant to act on. Must be one you are a member of.

Formatuuid

Header Parameters

X-Merchant-ID?string|null

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/auth/me"
{  "data": {    "active_merchant": {      "category": "string",      "city": "string",      "currency": "string",      "data_source": "SEEDED",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "is_demo": false,      "logo_url": "string",      "name": "string",      "slug": "string"    },    "memberships": [      {        "is_default": false,        "joined_at": "2019-08-24T14:15:22Z",        "merchant": {          "category": "string",          "city": "string",          "currency": "string",          "data_source": "SEEDED",          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "is_demo": false,          "logo_url": "string",          "name": "string",          "slug": "string"        },        "role": "string",        "status": "string"      }    ],    "permissions": [      "string"    ],    "role": "string",    "user": {      "avatar_url": "string",      "created_at": "2019-08-24T14:15:22Z",      "email": "user@example.com",      "email_verified": false,      "full_name": "string",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "last_login_at": "2019-08-24T14:15:22Z",      "phone": "string",      "status": "string"    }  },  "meta": {},  "success": true}